Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Namespaces | Variables
to.php File Reference

Go to the source code of this file.

## Namespaces
| kernel

## Variables
| $handlerOptions = new ezpExtensionOptions()
$handlerOptions | iniFile = 'site.ini'
$handlerOptions | iniSection = 'RegionalSettings'
$handlerOptions | iniVariable = 'LanguageSwitcherClass'
if(isset( $_SERVER['QUERY_STRING']) && $_SERVER['QUERY_STRING']) $handlerOptions | handlerParams = array( $Params )
| $langSwitch = eZExtension::getHandlerClass( $handlerOptions )
| $Module = $Params['Module']
| $destinationSiteAccess = $Params['SiteAccess']
| $destinationUrl = $langSwitch->destinationUrl()

## Variable Documentation

## ◆ $destinationSiteAccess

$destinationSiteAccess = $Params['SiteAccess']

Definition at line 28 of file to.php.

## ◆ $destinationUrl

$destinationUrl = $langSwitch->destinationUrl()

Definition at line 41 of file to.php.

## ◆ $handlerOptions

$handlerOptions = new ezpExtensionOptions()

Definition at line 12 of file to.php.

## ◆ $langSwitch

$langSwitch = eZExtension::getHandlerClass( $handlerOptions )

Definition at line 25 of file to.php.

## ◆ $Module

$Module = $Params['Module']

Definition at line 27 of file to.php.

## ◆ handlerParams

if (isset($_SERVER[ 'QUERY_STRING']) &&$_SERVER[ 'QUERY_STRING']) $handlerOptions handlerParams = array( $Params )

Definition at line 23 of file to.php.

Referenced by ezpExtensionOptions\__construct().

## ◆ iniFile

$handlerOptions iniFile = 'site.ini'

Definition at line 13 of file to.php.

Referenced by ezpExtensionOptions\__construct().

## ◆ iniSection

$handlerOptions iniSection = 'RegionalSettings'

Definition at line 14 of file to.php.

Referenced by ezpExtensionOptions\__construct().

## ◆ iniVariable

$handlerOptions iniVariable = 'LanguageSwitcherClass'

Definition at line 15 of file to.php.

Referenced by ezpExtensionOptions\__construct().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.